name: Deploy
on:
  push:
    branches:
      - main

jobs:
  trigger:
    runs-on: ubuntu-latest
    steps:
      - name: Build & Deploy
        env:
          REPO_NAME: ${{ gitea.event.repository.name }}
          REPO_OWNER: ${{ gitea.repository_owner }}
          # Imposta la cartella che conterrà la root del sito!
          # Default "/"
          # Con nome "nome_cartella"
          ROOT_DIR: "/file"
          # Cosa stai andando a pubblicare?
          # - pages       sito web statico
          # - dynamic     sito web dinamico con PHP
          TYPE: "dynamic"
          JOB_TOKEN: ${{ gitea.token }}
        run: |
          curl -f -s -S -X -v POST http://gitea-webhook:9000/hooks/trigger-deploy \
          -H "Content-Type: application/json" \
          -d "{
            \"repository\": { \"name\": \"$REPO_NAME\" },
            \"owner\": { \"username\": \"$REPO_OWNER\" },
            \"root\": \"$ROOT_DIR\",
            \"type\": \"$TYPE\",
            \"token\": \"$JOB_TOKEN\"
          }"